%define upstream_name baycomp

Name:       python-%{upstream_name}
Version:    1.0.2
Release:    %mkrel 3
Summary:    Bayesian tests for comparison of classifiers
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/baycomp
Source0:    https://files.pythonhosted.org/packages/6e/f7/49f0cb5f1d1b2421036360d59da131c69224cfcfb483def506831b6515d4/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
Baycomp is a library for Bayesian comparison of classifiers.

%package -n     python3-%{upstream_name}
Summary:        Bayesian tests for comparison of classifiers
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Baycomp is a library for Bayesian comparison of classifiers.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/baycomp
%{python3_sitelib}/tests
%{python3_sitelib}/baycomp-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.0.2-3.mga8
+ Revision: 1608257
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sun Apr 19 2020 guillomovitch <guillomovitch> 1.0.2-1.mga8
+ Revision: 1569823
- imported package python-baycomp

